package abbr

// Acronyms are used to recognized common IT acronyms.
// @todo Make an identifier check function that checks if identifiers use these in mixed case.
var Acronyms = map[string]bool{
	"AA":    true,
	"AAL":   true,
	"AB":    true,
	"ABC":   true,
	"AC":    true,
	"ACK":   true,
	"ACP":   true,
	"AD":    true,
	"ADF":   true,
	"ADSL":  true,
	"AE":    true,
	"AF":    true,
	"AG":    true,
	"AI":    true,
	"AL":    true,
	"AM":    true,
	"AN":    true,
	"ANS":   true,
	"ANSI":  true,
	"AO":    true,
	"AP":    true,
	"APC":   true,
	"API":   true,
	"APU":   true,
	"AR":    true,
	"ARM":   true,
	"ARO":   true,
	"ARP":   true,
	"AS":    true,
	"ASCII": true,
	"ASI":   true,
	"ASM":   true,
	"ASP":   true,
	"ASS":   true,
	"AT":    true,
	"ATA":   true,
	"ATM":   true,
	"ATX":   true,
	"AU":    true,
	"AV":    true,
	"AW":    true,
	"BA":    true,
	"BB":    true,
	"BC":    true,
	"BCC":   true,
	"BE":    true,
	"BF":    true,
	"BG":    true,
	"BIOS":  true,
	"BJ":    true,
	"BM":    true,
	"BN":    true,
	"BO":    true,
	"BP":    true,
	"BR":    true,
	"BRI":   true,
	"BS":    true,
	"CA":    true,
	"CAD":   true,
	"CBR":   true,
	"CC":    true,
	"CD":    true,
	"CE":    true,
	"CF":    true,
	"CG":    true,
	"CGI":   true,
	"CH":    true,
	"CI":    true,
	"CID":   true,
	"CJ":    true,
	"CL":    true,
	"CM":    true,
	"CMS":   true,
	"CMYK":  true,
	"CN":    true,
	"CO":    true,
	"CP":    true,
	"CPA":   true,
	"CPU":   true,
	"CR":    true,
	"CRC":   true,
	"CRL":   true,
	"CS":    true,
	"CSR":   true,
	"CSS":   true,
	"CT":    true,
	"CTA":   true,
	"CTR":   true,
	"CU":    true,
	"CV":    true,
	"DA":    true,
	"DAC":   true,
	"DB":    true,
	"DBC":   true,
	"DC":    true,
	"DCC":   true,
	"DCE":   true,
	"DD":    true,
	"DE":    true,
	"DF":    true,
	"DG":    true,
	"DH":    true,
	"DHCP":  true,
	"DI":    true,
	"DL":    true,
	"DLL":   true,
	"DLN":   true,
	"DM":    true,
	"DMA":   true,
	"DN":    true,
	"DNS":   true,
	"DO":    true,
	"DP":    true,
	"DPG":   true,
	"DR":    true,
	"DS":    true,
	"DSD":   true,
	"DSSS":  true,
	"DT":    true,
	"DTE":   true,
	"DV":    true,
	"EA":    true,
	"EBM":   true,
	"EC":    true,
	"ECM":   true,
	"ED":    true,
	"EDI":   true,
	"EF":    true,
	"EG":    true,
	"EIA":   true,
	"EIDE":  true,
	"EL":    true,
	"EM":    true,
	"EO":    true,
	"EOM":   true,
	"EOT":   true,
	"ER":    true,
	"ES":    true,
	"ESF":   true,
	"ET":    true,
	"EU":    true,
	"EUP":   true,
	"EX":    true,
	"FA":    true,
	"FAQ":   true,
	"FC":    true,
	"FD":    true,
	"FDDI":  true,
	"FDM":   true,
	"FE":    true,
	"FH":    true,
	"FIFO":  true,
	"FIP":   true,
	"FLA":   true,
	"FM":    true,
	"FP":    true,
	"FPG":   true,
	"FR":    true,
	"FS":    true,
	"FT":    true,
	"FTP":   true,
	"FU":    true,
	"FW":    true,
	"FX":    true,
	"FY":    true,
	"GC":    true,
	"GD":    true,
	"GI":    true,
	"GIF":   true,
	"GIM":   true,
	"GM":    true,
	"GN":    true,
	"GOS":   true,
	"GP":    true,
	"GS":    true,
	"GT":    true,
	"GU":    true,
	"GUI":   true,
	"GW":    true,
	"HA":    true,
	"HB":    true,
	"HC":    true,
	"HD":    true,
	"HDTV":  true,
	"HDV":   true,
	"HF":    true,
	"HH":    true,
	"HI":    true,
	"HM":    true,
	"HP":    true,
	"HPF":   true,
	"HS":    true,
	"HSF":   true,
	"HT":    true,
	"HTML":  true,
	"HTTP":  true,
	"HV":    true,
	"IB":    true,
	"IC":    true,
	"ICF":   true,
	"ICM":   true,
	"ICMP":  true,
	"ID":    true,
	"IDE":   true,
	"IDS":   true,
	"IE":    true,
	"IEEE":  true,
	"IF":    true,
	"IGP":   true,
	"IGR":   true,
	"IH":    true,
	"II":    true,
	"IIO":   true,
	"IM":    true,
	"IP":    true,
	"IPS":   true,
	"IPT":   true,
	"IPX":   true,
	"IR":    true,
	"IS":    true,
	"ISA":   true,
	"ISDN":  true,
	"ISO":   true,
	"ISP":   true,
	"ISU":   true,
	"IT":    true,
	"ITU":   true,
	"IVC":   true,
	"IVR":   true,
	"JA":    true,
	"JC":    true,
	"JD":    true,
	"JE":    true,
	"JF":    true,
	"JI":    true,
	"JM":    true,
	"JN":    true,
	"JR":    true,
	"JRE":   true,
	"JS":    true,
	"JSON":  true,
	"JSP":   true,
	"JTA":   true,
	"JU":    true,
	"JV":    true,
	"KD":    true,
	"KR":    true,
	"KV":    true,
	"LA":    true,
	"LAN":   true,
	"LB":    true,
	"LC":    true,
	"LCD":   true,
	"LE":    true,
	"LF":    true,
	"LG":    true,
	"LI":    true,
	"LLC":   true,
	"LO":    true,
	"LP":    true,
	"LS":    true,
	"LSB":   true,
	"LT":    true,
	"LTE":   true,
	"LU":    true,
	"LV":    true,
	"LZ":    true,
	"MA":    true,
	"MAC":   true,
	"MB":    true,
	"MC":    true,
	"MCA":   true,
	"MCP":   true,
	"MCS":   true,
	"MCT":   true,
	"MD":    true,
	"MDI":   true,
	"MF":    true,
	"MI":    true,
	"MIC":   true,
	"MIPS":  true,
	"MIS":   true,
	"MM":    true,
	"MMF":   true,
	"MN":    true,
	"MO":    true,
	"MP":    true,
	"MPA":   true,
	"MPEG":  true,
	"MS":    true,
	"MSB":   true,
	"MT":    true,
	"MTB":   true,
	"MTU":   true,
	"MU":    true,
	"MV":    true,
	"MW":    true,
	"MX":    true,
	"NA":    true,
	"NAC":   true,
	"NC":    true,
	"ND":    true,
	"NE":    true,
	"NF":    true,
	"NG":    true,
	"NI":    true,
	"NIC":   true,
	"NL":    true,
	"NM":    true,
	"NMS":   true,
	"NNI":   true,
	"NNT":   true,
	"NO":    true,
	"NP":    true,
	"NS":    true,
	"NSP":   true,
	"NT":    true,
	"NTF":   true,
	"NTFS":  true,
	"NV":    true,
	"OA":    true,
	"OCR":   true,
	"ODB":   true,
	"OE":    true,
	"OH":    true,
	"OI":    true,
	"OID":   true,
	"OL":    true,
	"OLE":   true,
	"OM":    true,
	"OO":    true,
	"OR":    true,
	"OS":    true,
	"OSD":   true,
	"OSP":   true,
	"OSPF":  true,
	"OST":   true,
	"OU":    true,
	"PA":    true,
	"PB":    true,
	"PC":    true,
	"PCN":   true,
	"PCR":   true,
	"PCS":   true,
	"PD":    true,
	"PDC":   true,
	"PDN":   true,
	"PDU":   true,
	"PF":    true,
	"PG":    true,
	"PH":    true,
	"PI":    true,
	"PID":   true,
	"PIM":   true,
	"PK":    true,
	"PL":    true,
	"PM":    true,
	"PN":    true,
	"PNG":   true,
	"PO":    true,
	"POI":   true,
	"PON":   true,
	"PP":    true,
	"PPC":   true,
	"PPI":   true,
	"PPP":   true,
	"PS":    true,
	"PT":    true,
	"PU":    true,
	"PV":    true,
	"PX":    true,
	"QA":    true,
	"QAF":   true,
	"QBE":   true,
	"QD":    true,
	"QF":    true,
	"RA":    true,
	"RAI":   true,
	"RC":    true,
	"RD":    true,
	"RDO":   true,
	"RF":    true,
	"RG":    true,
	"RGB":   true,
	"RH":    true,
	"RI":    true,
	"RIS":   true,
	"RISC":  true,
	"RJ":    true,
	"RJE":   true,
	"RL":    true,
	"RM":    true,
	"RO":    true,
	"ROM":   true,
	"RP":    true,
	"RPC":   true,
	"RQ":    true,
	"RR":    true,
	"RS":    true,
	"RSS":   true,
	"RT":    true,
	"SA":    true,
	"SAN":   true,
	"SB":    true,
	"SC":    true,
	"SCP":   true,
	"SCSI":  true,
	"SCT":   true,
	"SD":    true,
	"SDLC":  true,
	"SDU":   true,
	"SE":    true,
	"SF":    true,
	"SG":    true,
	"SH":    true,
	"SI":    true,
	"SIG":   true,
	"SIP":   true,
	"SIS":   true,
	"SL":    true,
	"SLE":   true,
	"SLI":   true,
	"SM":    true,
	"SMF":   true,
	"SMT":   true,
	"SMTP":  true,
	"SN":    true,
	"SNI":   true,
	"SNMP":  true,
	"SNT":   true,
	"SO":    true,
	"SOA":   true,
	"SOH":   true,
	"SP":    true,
	"SPM":   true,
	"SQ":    true,
	"SQL":   true,
	"SS":    true,
	"SSL":   true,
	"SU":    true,
	"SUS":   true,
	"SV":    true,
	"SVG":   true,
	"SW":    true,
	"TA":    true,
	"TAS":   true,
	"TC":    true,
	"TCP":   true,
	"TDM":   true,
	"TE":    true,
	"TF":    true,
	"TFT":   true,
	"TL":    true,
	"TN":    true,
	"TP":    true,
	"TR":    true,
	"TS":    true,
	"TT":    true,
	"TU":    true,
	"UA":    true,
	"UAA":   true,
	"UC":    true,
	"UD":    true,
	"UDD":   true,
	"UDM":   true,
	"UDP":   true,
	"UEF":   true,
	"UH":    true,
	"UL":    true,
	"UM":    true,
	"UMP":   true,
	"UN":    true,
	"UNC":   true,
	"UP":    true,
	"UR":    true,
	"URI":   true,
	"URL":   true,
	"US":    true,
	"USB":   true,
	"UT":    true,
	"UTF":   true,
	"UU":    true,
	"UV":    true,
	"VA":    true,
	"VB":    true,
	"VC":    true,
	"VCI":   true,
	"VF":    true,
	"VFAT":  true,
	"VG":    true,
	"VH":    true,
	"VL":    true,
	"VLB":   true,
	"VLE":   true,
	"VN":    true,
	"VO":    true,
	"VP":    true,
	"VPI":   true,
	"VPN":   true,
	"VRM":   true,
	"VT":    true,
	"WA":    true,
	"WAF":   true,
	"WAN":   true,
	"WAS":   true,
	"WC":    true,
	"WD":    true,
	"WE":    true,
	"WF":    true,
	"WM":    true,
	"WO":    true,
	"WOR":   true,
	"WP":    true,
	"WPA":   true,
	"WSD":   true,
	"WW":    true,
	"WWA":   true,
	"WWW":   true,
	"WZ":    true,
	"XA":    true,
	"XD":    true,
	"XHTM":  true,
	"XM":    true,
	"XML":   true,
	"XMM":   true,
	"XMP":   true,
	"XN":    true,
	"XP":    true,
	"XS":    true,
	"XT":    true,
	"XU":    true,
	"XVG":   true,
	"YAA":   true,
	"ZC":    true,
	"ZI":    true,
	"ZIF":   true,
	"ZM":    true,
	"ZO":    true,
	"ZOP":   true,
	"ZP":    true,
}
